Upstream information

CVE-2017-16355 at MITRE

Description

In agent/Core/SpawningKit/Spawner.h in Phusion Passenger 5.1.10 (fixed in Passenger Open Source 5.1.11 and Passenger Enterprise 5.1.10), if Passenger is running as root, it is possible to list the contents of arbitrary files on a system by symlinking a file named REVISION from the application root folder to a file of choice and querying passenger-status --show=xml.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 1.2 4
Vector AV:L/AC:H/Au:N/C:P/I:N/A:N AV:L/AC:H/Au:N/C:C/I:N/A:N
Access Vector Local Local
Access Complexity High High
Authentication None None
Confidentiality Impact Partial Complete
Integrity Impact None None
Availability Impact None None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 4.7 5.1
Vector CVSS:3.0/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N CVSS:3.0/AV:L/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
Attack Vector Local Local
Attack Complexity High High
Privileges Required Low None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1073255 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 12
SUSE Linux Enterprise Module for Containers 12
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • ruby2.1-rubygem-passenger >= 5.0.18-12.5.1
  • rubygem-passenger >= 5.0.18-12.5.1
  • rubygem-passenger-apache2 >= 5.0.18-12.5.1
Patchnames:
SUSE-SLE-Module-Containers-12-2018-182


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Lifecycle Management Server 1.3 rubygem-passenger Not affected
SUSE Linux Enterprise High Performance Computing 12 rubygem-passenger Released
SUSE Linux Enterprise Module for Containers 12 rubygem-passenger Released
SUSE Linux Enterprise Server 12 rubygem-passenger Released
SUSE Linux Enterprise Server 12 SP3 rubygem-passenger Released
SUSE Linux Enterprise Server 12 SP4 rubygem-passenger Released
SUSE Linux Enterprise Server 12 SP5 rubygem-passenger Released
SUSE Linux Enterprise Server for SAP Applications 12 rubygem-passenger Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 rubygem-passenger Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 rubygem-passenger Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 rubygem-passenger Released
SUSE Studio Onsite 1.3 rubygem-passenger Not affected


SUSE Timeline for this CVE

CVE page created: Fri Dec 15 20:56:16 2017
CVE page last modified: Tue Nov 29 14:10:51 2022